1

This question already has an answer here:

I have downloaded "cpp-ethereum-develop" zip file from github and unzipped it.

While executing "cmake eth"

It gives the following error.

Unknown CMake command "eth_simple_add_executable".

CMake Warning (dev) in CMakeLists.txt: No cmake_minimum_required command is present. A line of code such as

cmake_minimum_required(VERSION 2.8)

How to clear this issue?

marked as duplicate by Waqar Lim Oct 21 '16 at 11:50

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

0

It's not working with the zip. I also tried several times. You need to clone the repository and pull the submodules, e.g.,:

git clone https://github.com/ethereum/cpp-ethereum
cd cpp-ethereum
git checkout -b develop
git submodule update --init --recursive

mkdir -p build
cd build
cmake .. 
make -j $(nproc)

This should work unless you did forget to mention you are not on Linux.

  • when i build cmake .., it produces the following error – userven Oct 20 '16 at 11:33
  • CMake Error at /usr/local/share/cmake-3.0/Modules/ExternalProject.cmake:1402 (message): URL_HASH is set to SHA256=087640ebcf7fbcfe8e2717a0b9528fff89c52fcf69fa2a18cc2b538008098f97;DOWNLOAD_NO_PROGRESS;True but must be ALGO=value where ALGO is MD5|SHA1|SHA224|SHA256|SHA384|SHA512 and value is a hex string. – userven Oct 20 '16 at 11:34
  • please update your question or paste the whole error output somewhere. – Waqar Lim Oct 20 '16 at 12:02
  • thank you very much. It is answered in ethereum.stackexchange.com/questions/9454/… – userven Oct 21 '16 at 10:31

Not the answer you're looking for? Browse other questions tagged or ask your own question.